| Qore GoogleCalendarDataProvider Module Reference 2.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | List of all members
GoogleCalendarDataProvider::GoogleCalendarDataProvider Class Reference

The parent class for Google calendar REST APIs. More...

`#include <GoogleCalendarDataProvider.qc.dox.h>`

## Public Member Functions
| constructor (GoogleRestClient::GoogleRestClient rest, string id)
| Creates the object from a REST connection.
*list< hash< DataProvider::DataProviderSummaryInfo > > | getChildProviderSummaryInfo ()
| Return data provider summary info.

## Static Public Member Functions
static | registerChild (string pathname, Reflection::Class cls)
| Register a new child data provider for Google calendars.

## Protected Member Functions
*DataProvider::AbstractDataProvider | getChildProviderImpl (string name)
| Returns the given child provider or NOTHING if the given child is unknown.
*list< string > | getChildProviderNamesImpl ()
| Returns a list of child data provider names, if any.

## Static Protected Member Functions
static | deregisterChild (string pathname)
| Deregister the named child data provider.

## Detailed Description

The parent class for Google calendar REST APIs.

## Member Function Documentation

## ◆ getChildProviderImpl()

*DataProvider::AbstractDataProvider GoogleCalendarDataProvider::GoogleCalendarDataProvider::getChildProviderImpl | ( | string | name | ) |
| protected

Returns the given child provider or NOTHING if the given child is unknown.

Returns
  the given child provider or NOTHING if the given child is unknown

See also
  getChildProviderEx()

## ◆ getChildProviderNamesImpl()

*list< string > GoogleCalendarDataProvider::GoogleCalendarDataProvider::getChildProviderNamesImpl | ( |  | ) |
| protected

Returns a list of child data provider names, if any.

Returns
  a list of child data provider names, if any